Description

ERCOT angle difference limit set
AngleDifferenceLimitSet - Use case needed. Use case is specification of angle differences monitored in real-time but determined
based on stability analysis. Possibly could use LimitSet for this same functionality.

Proposed Solution
In order to cover use cases for coordinated security analysis ENTSO-E also extended OperationalLimits with class

VoltageAngleLimit - Voltage angle limit between two terminals. The association end OperationalLimitSet. Terminal defines one end
and the host of the limit. The association end VoltageAngleLimit.AngleReferenceTerminal defines the reference terminal.

It has association with Terminal

It has attribute value and normalValue - The difference in angle degrees between referenced by the association end
OperationalLimitSet.Terminal and the Terminal referenced by the association end VoltageAngleLimit.AngleReferenceTerminal. The
value can be positive, negative or zero depending on the angle difference between the two terminals.

Proposal to add this to CIM18 and close this issue which should also cover ERCOT issue.

Oslo 15 June 2023 - agreed. Should be reviewed for approval.

Decision

The issue was part of the 2 weeks review process in July 2023. There were no comments and it is concluded that the extensions are
integrated in CIM18.

Release Notes
VoltageAngleLimit class added to the OperationalLimits package.

VoltageAngleLimit - Voltage angle limit between two terminals. The association end OperationalLimitSet.Terminal defines one end
and the host of the limit. The association end VoltageAngleLimit. AngleReferenceTerminal defines the reference terminal.

It has association with Terminal. It has attribute isFlowToRefTerminal.

It has attribute value and normalValue - The difference in angle degrees between referenced by the association end
OperationalLimitSet.Terminal and the Terminal referenced by the association end VoltageAngleLimit.AngleReferenceTerminal. The
value can be positive, negative or zero depending on the angle difference between the two terminals.

Attributes normalValue and isFlowToRefTerminal are added to EQ profile in 452. Attribute value is added to SSH in 456.

History

#1 - 02/07/2023 11:15 AM - Chavdar Ivanov

- Subject changed from ERCOT angle difference limit set
AngleDifferenceLimitSet - to ERCOT angle difference limit setAngleDifferenceLimitSet -

- Status changed from Open to Review
- Priority changed from Low to Normal

- Proposed Solution updated

#2 - 06/15/2023 04:48 AM - Pat Brown
- Proposed Solution updated

#3 - 10/08/2023 12:57 AM - Chavdar Ivanov
- Status changed from Review to Closed

- Solution to be Applied To set to CIM18v07
- Solution Version set to CIM18v07

- Solution Applied By set to Chavdar Ilvanov

- Completion Date set to 10/08/2023

- Decision updated

- Release Notes updated

#4 - 10/20/2023 09:44 AM - Todd Viegut

- Solution to be Applied To changed from CIM18v07 to 18v07

#5 - 10/20/2023 09:56 AM - Todd Viegut

- Solution to be Applied To changed from 18v07 to CIM18v07
